# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-ExtUtils-H2PM
Version:        0.08
Release:        alt1_6
Summary:        Automatically generate perl modules to wrap C header files
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/ExtUtils-H2PM/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/ExtUtils-H2PM-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(ExtUtils/CBuilder.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)

Requires:       perl(ExtUtils/CBuilder.pm)


Source44: import.info

%description
This module assists in generating wrappers around system functionality,
such as socket() types or ioctl() calls, where the only interesting
features required are the values of some constants or layouts of structures
normally only known to the C header files. Rather than writing an entire XS
module just to contain some constants and pack/unpack functions, this
module allows the author to generate, at module build time, a pure perl
module containing constant declarations and structure utility functions.
The module then requires no XS module to be loaded at run time.


%prep
%setup -q -n ExtUtils-H2PM-%{version}


%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/ExtUtils


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_5
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1_3
- fc import

